
import 'dart:io';


import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:mohem_flutter_app/api/my_attendance_api_client.dart';
import 'package:mohem_flutter_app/api/profile_api_client.dart';
import 'package:mohem_flutter_app/classes/utils.dart';
import 'package:mohem_flutter_app/extensions/int_extensions.dart';
import 'package:mohem_flutter_app/extensions/string_extensions.dart';
import 'package:mohem_flutter_app/extensions/widget_extensions.dart';
import 'package:mohem_flutter_app/generated/locale_keys.g.dart';
import 'package:mohem_flutter_app/models/dyanmic_forms/get_set_values_request_model.dart';
import 'package:mohem_flutter_app/models/generic_response_model.dart';
import 'package:mohem_flutter_app/models/get_eit_dff_structure_list_model.dart';
import 'package:mohem_flutter_app/models/get_employee_basic_details.model.dart';
import 'package:mohem_flutter_app/models/get_employee_contacts.model.dart';
import 'package:mohem_flutter_app/models/profile/basic_details_cols_structions.dart';
import 'package:mohem_flutter_app/models/profile/basic_details_dff_structure.dart';
import 'package:mohem_flutter_app/ui/my_attendance/dynamic_screens/dynamic_listview_screen.dart';
import 'package:mohem_flutter_app/widgets/app_bar_widget.dart';
import 'package:mohem_flutter_app/widgets/button/default_button.dart';
import 'package:mohem_flutter_app/widgets/dynamic_forms/dynamic_textfield_widget.dart';

class DynamicFamilyMembersParams {
  String title;
  //String dynamicId;
 // String uRL;
 // String requestID;
 // String colsURL;
  List<GetEmployeeContactsList>? getEmployeeContactsList;

  DynamicFamilyMembersParams(this.title,
      {this.getEmployeeContactsList = const <GetEmployeeContactsList>[]});
}

class DynamicFamilyMembersScreen extends StatefulWidget {
  DynamicFamilyMembersScreen({Key? key}) : super(key: key);

  @override
  _DynamicFamilyMembersScreenState createState() {
    return _DynamicFamilyMembersScreenState();
  }
}

class _DynamicFamilyMembersScreenState extends State<DynamicFamilyMembersScreen> {
 // GenericResponseModel? genericResponseModel;
  DynamicFamilyMembersParams? dynamicFamilyParams;

  @override
  void initState() {
    super.initState();
  }


  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    if(dynamicFamilyParams == null) {
      dynamicFamilyParams = ModalRoute.of(context)!.settings.arguments as DynamicFamilyMembersParams;
    }
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBarWidget(
        context,
        title: dynamicFamilyParams!.title,
      ),
      body: Column(
        children: [

        ],
      ),
    );
  }


}
